## 持续更新中 <br>
RSS订阅链接来源：https://github.com/zhengjim/Chinese-Security-RSS <br>
使用python-json进行格式化，然后使用飞书webhook机器人进行发送 <br>
config.yaml可指定大部分可能需要的参数 <br>

### 日志相关
请查看./log文件夹下内容 <br>

### 使用建议： <br>
Linux系统建议下载screen于后台持续运行本脚本。   <br>
debian/ubuntu/kali: `apt install screen` <br>
centos: `yum install screen` <br>
创建新会话：`screen -S 会话名称`      <br>
保存并退回到界面：`ctrl+a+d`    <br>
重新进入会话：`screen -r 会话名称`  <br>
结束对话：进入会话后输入`exit`  <br>

### 使用方法： <br>
先下载支持库：`pip install -r requirements.txt` <br>
随后便可直接运行：`python Core.py` <br>
web运行：`python ./web/app.py` <br>
随后web网页将会在本地5000端口启动，访问即可，使用反向代理即可以域名映射到外网 <br>
直接访问web域名即可查看历史推送，访问路径/log即可查看程序运行日志 <br>

### 配置 <br>
首先先在飞书中创建群组，然后再创建WebHook机器人 <br>
<center><img src="./imgs/group.jpg" width="50%" alt="群组"/></center><br>
<center><img src="./imgs/add_bot.jpg" width="50%" alt="添加机器人"/></center><br>
随后，在配置机器人时可打开签名验证（您也可自行选择IP白名单） <br>
<center><img src="./imgs/bot_config.jpg" width="50%" alt="机器人配置"/></center><br>
再之后，将配置信息填入config.yaml文件当中 <br>
<center><img src="./imgs/config.jpg" alt="配置"/></center><br>
那么选择，您就可以开始运行使用了。 <br>


### 运行结果 <br>
![飞书展示](./imgs/start.jpg) <br>
![后端展示](./imgs/run.jpg) <br>
